﻿.widget {
    box-sizing: border-box
}


.widget-app-container {
    padding-bottom: 16px;
    padding-left: 0px;
    padding-right: 16px;
    position: fixed;
    bottom: 0;
    left: inherit;
    right: 0px;
    z-index: 1;
}

#elsa {
    /* position: fixed; */
    right: 10px;
    bottom: 20px;
    height: 500px;
    z-index: 10;
    background: white;
    border: 1px solid black;
    border-radius: 8px;
    display: none;
}


/* ---------------------------- ELSA HEAD -----  */
.elsaHead {
    height: 68px;
    background: #B290B2;
    color: white;
    margin: 0;
    padding: 10px;
    border-radius: 8px 8px 0px 0px;
}

#elsaTitle {
    margin-top: 10px;
    margin-bottom: 10px;
}


/* ---------------------------- ELSA LAUNCHER -----  */
.widgetLauncher {
    float: right !important;
    padding-top: 20px !important;
    padding-left: 24px !important;
    display: flex !important;
}

.buttonWrapper {
}

/* Button */
.iconLaunch {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 6px, rgba(0, 0, 0, 0.2) 0px 2px 24px;
    border: none;
    transition: box-shadow 100ms ease-in-out 0s;
    position: relative;
    background: #B290B2;
    border-radius: 50%;
    width: 60px;
    height: 60px;
}

#elsaClose {
    font-size: 30px;
    cursor: pointer;
    /* position: relative; */
    top: -40px;
    right: -270px;
    color: white;
}

/* ---------------------------- pre-chat -----  */

.preChatContainer {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    box-sizing: border-box;
    flex: 0 0 auto;
    padding: 15px;
}

.submitButton {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    flex: 0 1 auto;
    background-color: rgb(0, 0, 0);
    color: white;
}

.emptySpace {
    height: 8px;
    overflow: hidden;
    flex: 0 0 auto;
}

.prechatQuestion {
    margin-top: 0px;
    width: 100%;
    margin-bottom: 0px;
}

.prechatInput {
    width: 100%;
    box-sizing: border-box;
    flex: 0 0 auto;
}